Bug 1462529 - SELinux is preventing tlp from 'connectto' accesses on the unix_stream_socket /var/lib/sss/pipes/nss. [NEEDINFO]
SELinux is preventing tlp from 'connectto' accesses on the unix_stream_socket...
Status: NEW
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
26
x86_64 Unspecified
medium Severity unspecified
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
abrt_hash:faff9ef1030ef89b63056e672cf...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-18 10:18 EDT by xzj8b3
Modified: 2017-09-01 05:57 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mgrepl: needinfo?


Attachments (Terms of Use)

  None (edit)
Description xzj8b3 2017-06-18 10:18:30 EDT
Description of problem:
SELinux is preventing tlp from 'connectto' accesses on the unix_stream_socket /var/lib/sss/pipes/nss.

*****  Plugin catchall_boolean (89.3 confidence) suggests   ******************

If si desidera allow daemons to enable cluster mode
Then è necessario informare SELinux abilitando il booleano 'daemons_enable_cluster_mode' .

Do
setsebool -P daemons_enable_cluster_mode 1

*****  Plugin catchall (11.6 confidence) suggests   **************************

If si crede che tlp dovrebbe avere possibilità di accesso connectto sui nss unix_stream_socket in modo predefinito.
Then si dovrebbe riportare il problema come bug.
E' possibile generare un modulo di politica locale per consentire questo accesso.
Do
allow this access for now by executing:
# ausearch -c 'tlp' --raw | audit2allow -M my-tlp
# semodule -X 300 -i my-tlp.pp

Additional Information:
Source Context                system_u:system_r:tlp_t:s0
Target Context                system_u:system_r:sssd_t:s0
Target Objects                /var/lib/sss/pipes/nss [ unix_stream_socket ]
Source                        tlp
Source Path                   tlp
Port                          <Sconosciuto>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-257.fc26.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 4.11.5-300.fc26.x86_64 #1 SMP Wed
                              Jun 14 19:16:35 UTC 2017 x86_64 x86_64
Alert Count                   5
First Seen                    2017-06-10 21:52:35 CEST
Last Seen                     2017-06-18 16:14:38 CEST
Local ID                      0266cb64-69ad-48f7-aae6-d9f683630bd5

Raw Audit Messages
type=AVC msg=audit(1497795278.842:223): avc:  denied  { connectto } for  pid=1832 comm="tlp" path="/var/lib/sss/pipes/nss" scontext=system_u:system_r:tlp_t:s0 tcontext=system_u:system_r:sssd_t:s0 tclass=unix_stream_socket permissive=1


Hash: tlp,tlp_t,sssd_t,unix_stream_socket,connectto

Version-Release number of selected component:
selinux-policy-3.13.1-257.fc26.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.11.5-300.fc26.x86_64
type:           libreport
Comment 1 Gerardo Rosales 2017-07-24 01:16:19 EDT
Description of problem:
Closed laptop lid and open it again. The alert message came up.

Version-Release number of selected component:
selinux-policy-3.13.1-260.1.fc26.noarch

Additional info:
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.11.10-300.fc26.x86_64
type:           libreport
Comment 2 Robin Burchell 2017-07-25 10:23:49 EDT
Description of problem:
Installed TLP for power saving on a laptop, and left it to do its business while I used it.

Version-Release number of selected component:
selinux-policy-3.13.1-260.1.fc26.noarch

Additional info:
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.11.8-300.fc26.x86_64
type:           libreport
Comment 3 Gerardo Rosales 2017-07-27 08:39:44 EDT
Description of problem:
Closed laptop lid and reopen it.

Version-Release number of selected component:
selinux-policy-3.13.1-260.1.fc26.noarch

Additional info:
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.11.11-300.fc26.x86_64
type:           libreport
Comment 4 Miroslav Grepl 2017-07-31 10:49:07 EDT
Could you re-test it with

# ausearch -c 'tlp' --raw | audit2allow -M my-tlp
# semodule -X 300 -i my-tlp.pp

to see if it works in enforcing mode?

Thank you.
Comment 5 nasi 2017-08-01 02:58:34 EDT
Description of problem:
waking up from standby failed

Version-Release number of selected component:
selinux-policy-3.13.1-260.1.fc26.noarch
selinux-policy-3.13.1-260.3.fc26.noarch

Additional info:
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.11.11-300.fc26.x86_64
type:           libreport
Comment 6 xzj8b3 2017-08-14 09:48:20 EDT
Description of problem:
defaulth

Version-Release number of selected component:
selinux-policy-3.13.1-260.3.fc26.noarch

Additional info:
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.11.11-300.fc26.x86_64
type:           libreport
Comment 7 Sergey Revin 2017-08-20 08:05:00 EDT
Description of problem:
Resume after suspend

Version-Release number of selected component:
selinux-policy-3.13.1-260.4.fc26.noarch

Additional info:
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.12.5-300.fc26.x86_64
type:           libreport
Comment 8 xzj8b3 2017-09-01 05:57:36 EDT
Description of problem:
Defaulth Pleace

Version-Release number of selected component:
selinux-policy-3.13.1-260.6.fc26.noarch

Additional info:
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.12.9-300.fc26.x86_64
type:           libreport

Note You need to log in before you can comment on or make changes to this bug.